]> git.decadent.org.uk Git - dak.git/blobdiff - config/debian/cron.dinstall
Fix cd
[dak.git] / config / debian / cron.dinstall
index d2443f79cea4768d95112d8e9d449e0423c7a68c..8aaaa648c4939d4479d4fdbc400df08876011a75 100755 (executable)
@@ -27,6 +27,7 @@
 
 # exit on errors
 set -e
+set -o pipefail
 # make sure to only use defined variables
 set -u
 # ERR traps should be inherited from functions too. (And command
@@ -73,6 +74,8 @@ function stage() {
     error=${ERR:-"true"}
 
     ARGS=${ARGS:-""}
+
+    log "########## DINSTALL BEGIN: ${FUNC} ${ARGS} ##########"
     STAGEFILE="${stagedir}/${FUNC}_${ARGS}"
     STAGEFILE=${STAGEFILE// /_}
     if [ -f "${STAGEFILE}" ]; then
@@ -131,6 +134,8 @@ function stage() {
     cat "${STAGEFILE}.log" >> "${LOGFILE}"
     rm -f "${STAGEFILE}.log"
 
+    echo "########## DINSTALL END: ${FUNC} ##########"
+
     if [ -f "${LOCK_STOP}" ]; then
         log "${LOCK_STOP} exists, exiting immediately"
         exit 42
@@ -205,14 +210,21 @@ GO=(
 )
 stage $GO
 
+GO=(
+    FUNC="dep11"
+    TIME="dep11 1"
+    ARGS=""
+    ERR="false"
+)
+stage $GO
+
 lockfile "$LOCK_ACCEPTED"
-lockfile "$LOCK_NEW"
 trap remove_all_locks EXIT TERM HUP INT QUIT
 
 GO=(
     FUNC="punew"
     TIME="p-u-new"
-    ARGS="proposedupdates"
+    ARGS="stable-new"
     ERR="false"
 )
 stage $GO
@@ -220,16 +232,16 @@ stage $GO
 GO=(
     FUNC="opunew"
     TIME="o-p-u-new"
-    ARGS="oldproposedupdates"
+    ARGS="oldstable-new"
     ERR="false"
 )
 stage $GO
 
 GO=(
-    FUNC="newstage"
-    TIME="newstage"
+    FUNC="backports_policy"
+    TIME="backports-policy"
     ARGS=""
-    ERR=""
+    ERR="false"
 )
 stage $GO
 
@@ -252,12 +264,12 @@ GO=(
 stage $GO
 
 GO=(
-    FUNC="filelist"
-    TIME="generate-filelist"
-    ARGS=""
+    FUNC="autocruft"
+    TIME="autocruft"
+    ARGS="unstable experimental"
     ERR=""
 )
-#stage $GO
+stage $GO
 
 GO=(
     FUNC="fingerprints"
@@ -325,14 +337,6 @@ GO=(
 )
 stage $GO
 
-GO=(
-    FUNC="buildd_dir"
-    TIME="buildd_dir"
-    ARGS=""
-    ERR=""
-)
-stage $GO
-
 state "scripts"
 GO=(
     FUNC="mkmaintainers"
@@ -452,6 +456,14 @@ GO=(
 )
 stage $GO &
 
+GO=(
+    FUNC="mirrorpush-backports"
+    TIME="mirrorpush-backports"
+    ARGS=""
+    ERR="false"
+)
+stage $GO &
+
 GO=(
     FUNC="i18n2"
     TIME="i18n 2"
@@ -486,14 +498,6 @@ GO=(
 )
 stage $GO
 
-GO=(
-    FUNC="aptftpcleanup"
-    TIME="apt-ftparchive cleanup"
-    ARGS=""
-    ERR="false"
-)
-#stage $GO
-
 # we need to wait for the background processes before the end of dinstall
 wait